<template>
  <b-card
    v-if="statistics"
    class="card-transaction"
    no-body
  >
    <b-card-header>
      <b-card-title>Otras estadísticas</b-card-title>

    </b-card-header>

    <b-card-body>
      <div
        class="transaction-item"
      >
        <b-media no-body>
          <b-media-aside>
            <b-avatar
              rounded
              size="42"
              variant="secondary"
            >
              <feather-icon
                size="18"
                icon="FileTextIcon"
              />
            </b-avatar>
          </b-media-aside>
          <b-media-body>
            <h6 class="transaction-title">
              Proyectos
            </h6>
            <small>Cantidad de proyectos existentes</small>
          </b-media-body>
        </b-media>
        <div
          class="font-weight-bolder"
          :class="'text-success'"
        >
          {{statistics.Projects}}
        </div>
      </div>
 
      <div
        class="transaction-item"
      >
        <b-media no-body>
          <b-media-aside>
            <b-avatar
              rounded
              size="42"
              variant="warning"
            >
              <feather-icon
                size="18"
                icon="CheckSquareIcon"
              />
            </b-avatar>
          </b-media-aside>
          <b-media-body>
            <h6 class="transaction-title">
              Actividades facturadas
            </h6>
            <small>Actividades facturadas</small>
          </b-media-body>
        </b-media>
        <div
          class="font-weight-bolder"
          :class="'text-success'"
        >
          {{statistics.invoicedActivities}}
        </div>
      </div>
    </b-card-body>
  </b-card>
</template>

<script>
import {
  BCard, BCardHeader, BCardTitle, BCardBody, BMediaBody, BMedia, BMediaAside, BAvatar, BDropdown, BDropdownItem,
} from 'bootstrap-vue'

export default {
  components: {
    BCard,
    BCardHeader,
    BCardTitle,
    BCardBody,
    BMediaBody,
    BMedia,
    BMediaAside,
    BAvatar,
    BDropdown,
    BDropdownItem,
  },
  data(){
    return{
      statistics:''
    }
  },
  methods:{
    getStatistics(){
      this.$http.get('dashboard/other/admin/statistics').then(res=>{
        this.statistics = res.data.statistics
      }).catch(err=>{
        console.log(err)
      })
    }
  },
  mounted(){
    this.getStatistics()
  }
}
</script>
